#ifndef SRC_TIME_STEPPING_RATE_HH
#define SRC_TIME_STEPPING_RATE_HH

#include <memory>

#include "../enums.hh"
#include "rate/rateupdater.hh"

template <class Vector, class Matrix, class Function, int dimension>
std::shared_ptr<RateUpdater<Vector, Matrix, Function, dimension>>
initRateUpdater(Config::scheme scheme,
                const std::vector<Function>& velocityDirichletFunctions,
                const std::vector<Dune::BitSetVector<dimension>>& velocityDirichletNodes,
                const Matrices<Matrix>& matrices,
                const std::vector<Vector>& u_initial,
                const std::vector<Vector>& v_initial,
                const std::vector<Vector>& a_initial);
#endif
